<?php
	if(!isset($_SESSION)) {session_start();}
	/*
	 * Script:    DataTables server-side script for PHP and MySQL
	 * Copyright: 2010 - Allan Jardine
	 * License:   GPL v2 or BSD (3-point)
	 */
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * Easy set variables
	 */
	/* Array of database columns which should be read and sent back to DataTables. Use a space where
	 * you want to insert a non-database field (for example a counter or static image)
	 */
	$aColumns = array( 'sku_serial','sku_date','sku_id','name',
	'externreceiptkey','brand','color','size','quantity','inward_id','inward_quantity');
//$aColumnsFilter = array( 'product_code', 'product_ref',  'product_name', 'product_price', 'product_sale_price');
	/* Indexed column (used for fast and accurate table cardinality) */
	$sIndexColumn = "sku_serial";
	/* DB table to use */
	$sTable = "receiveitem_list";
	/* Database connection information */
	include("repcon.php");
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	 * If you just want to use the basic configuration for DataTables with PHP server-side, there is
	 * no need to edit below this line
	 */
	/* 
	 * MySQL connection
 */
$gaSql['link'] = mysqli_connect($gaSql['server'], $gaSql['user'], $gaSql['password']) or
die('Could not open connection to server');
mysqli_select_db( $gaSql['link'],$gaSql['db']) or
die('Could not select database ' . $gaSql['db']);
/*
 * Paging
 */
$sLimit = "";
if (isset($_GET['iDisplayStart']) && $_GET['iDisplayLength'] != '-1') {
    $sLimit = "LIMIT " . mysqli_real_escape_string($gaSql['link'], $_GET['iDisplayStart']) . ", " .
        mysqli_real_escape_string($gaSql['link'], $_GET['iDisplayLength']);
}
/*
 * Ordering
 */
if (isset($_GET['iSortCol_0'])) {
    $sOrder = "ORDER BY  ";
    for ($i = 0; $i < intval($_GET['iSortingCols']); $i++) {
        if ($_GET['bSortable_' . intval($_GET['iSortCol_' . $i])] == "true") {
            $sOrder .= $aColumns[intval($_GET['iSortCol_' . $i])] . "
				 	" . mysqli_real_escape_string($gaSql['link'], $_GET['sSortDir_' . $i]) . ", ";
        }
    }
    $sOrder = substr_replace($sOrder, "", -2);
    if ($sOrder == "ORDER BY") {
        $sOrder = "";
    }
}
	$srch = $_GET['sSearch'];
	$cdate = $_REQUEST["cdate"];
	$edate = $_REQUEST["edate"];
	$order_type = $_REQUEST["order_type"];

	
	$sWhere = "WHERE sku_date between '$cdate' and '$edate'";
	
	if ($order_type != "" )
	{
	$sWhere .= " AND externreceiptkey = '".$order_type."'";
		
	}

	if ( $_GET['sSearch'] != "" )
	{
	$sWhere .= " AND (sku_date like '%$srch%' OR externreceiptkey like '%$srch%' OR sku_id like '%$srch%' OR sku_serial like '%$srch%' OR inward_id like '%$srch%') ";
		
	}
for ($i = 0; $i < count($aColumns); $i++) {
    if (isset($_GET['bSearchable_' . $i]) && $_GET['bSearchable_' . $i] == "true" && $_GET['sSearch_' . $i] != '') {
        if ($sWhere == "") {
            $sWhere = "WHERE ";
        } else {
            $sWhere .= " AND ";
        }
        $sWhere .= $aColumns[$i] . " LIKE '%" . mysqli_real_escape_string($gaSql['link'], $_GET['sSearch_' . $i]) . "%' ";
    }
}
	/*
	 * SQL queries
	 * Get data to display
	 */
	  $sQuery = "
		SELECT SQL_CALC_FOUND_ROWS " . str_replace(" , ", " ", implode(", ", $aColumns)) . "
		FROM   $sTable
		$sWhere
		$sOrder
		$sLimit
	";
	//echo $sQuery;
$rResult = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));
/* Data set length after filtering */
$sQuery = "
		SELECT FOUND_ROWS()
	";
$rResultFilterTotal = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));
$aResultFilterTotal = mysqli_fetch_array($rResultFilterTotal);
$iFilteredTotal = $aResultFilterTotal[0];
/* Total data set length */
$sQuery = "
		SELECT COUNT(" . $sIndexColumn . ")
		FROM   $sTable
	";
$rResultTotal = mysqli_query($gaSql['link'], $sQuery) or die(mysqli_error($gaSql['link']));
$aResultTotal = mysqli_fetch_array($rResultTotal);
$iTotal = $aResultTotal[0];
	/*
	 * Output
	 */
	$output = array(
		"sEcho" => intval($_GET['sEcho']),
		"iTotalRecords" => $iTotal,
		"iTotalDisplayRecords" => $iFilteredTotal,
		"aaData" => array()
	);
	while ( $aRow = mysqli_fetch_array( $rResult ) )
	{
		$row = array();
		for ( $i=0 ; $i<count($aColumns) ; $i++ )
		{
			 if( $aColumns[$i] == "inward_id")
			{

				$product_query = mysqli_query( $gaSql['link'], "SELECT IFNULL(count(DISTINCT inward_child),0) AS cnt FROM `inward_detail` Where inward_id = '{$aRow[ $aColumns[9] ]}' and binid IS NOT NULL" ) or die(mysql_error());
					$product_run = mysqli_fetch_assoc($product_query);
				
				if($aRow[$aColumns[9] ] == ''){
						$aRow[$aColumns[9] ] = '0';
					}
				
				if($product_run['cnt'] == '0'){
				//query for product details 
				     $cnlist = '<a href="Javascript:void(0);" data-toggle="modal" data-target="#modal-editpickup" onclick="Edit(\''.$aRow[ $aColumns[4] ].'\',\''.$aRow[ $aColumns[10] ].'\',\''.$aRow[ $aColumns[8] ].'\',\''.$aRow[ $aColumns[2] ].'\', event);" class="eedit_shipment"  data-original-title="Edit">Receive Inventory</a>';	
				}else{
					
					
					if(((int)$aRow[$aColumns[8] ]) == ((int)$product_run['cnt'])){
					
					$cnlist = '<a href="Javascript:void(0);"  class="eedit_shipment">Received</a>';
					
					}else{
						
						
						$cnlist = '<a href="Javascript:void(0);" data-toggle="modal" data-target="#modal-editpickup" onclick="Edit(\''.$aRow[ $aColumns[4] ].'\',\''. ((int)$product_run['cnt']).'\',\''.$aRow[ $aColumns[8] ].'\',\''.$aRow[ $aColumns[2] ].'\', event);" class="eedit_shipment"  data-original-title="Edit">Receive Inventory</a>';	
						
					}
					
					
				}

					$row[] = $cnlist; 
			}else if ( $aColumns[$i] == "inward_quantity")
			{
				$row[] = ((int)$product_run['cnt']);
			}
			else
			 if ( $aColumns[$i] != ' ')
			{
				$row[] = $aRow[ $aColumns[$i] ];
			}
		}
		$output['aaData'][] = $row;
	}
	echo json_encode( $output );
?>